Bug 149911 - evince unable to load a file from a menu
evince unable to load a file from a menu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 14:38 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-08 09:29:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-02-28 14:38:08 EST
Description of problem:

In a directory /usr/share/ghostscript/7.07/examples/ after
typing

  evince tiger.ps

I get a picture of a tiger but now after File->Open from a menu
and picking up some other file I get on a terminal:

failed to read() from server connection

(evince:5635): GLib-GObject-WARNING **: value "-1" of type `gint' is
invalid or out of range for property `current-page' of type `gint'

(evince:5635): Gdk-WARNING **: gdkdrawable-x11.c:972 drawable is not a
pixmap or window

(evince:5635): Gdk-WARNING **: gdkdrawable-x11.c:972 drawable is not a
pixmap or window

and there is only some distorted minature of a desired picture
in a newly opened window.

BTW - even when evince sort-of works it is not getting even close
to now relegated gv where showing a picture is only a minor part
of functionality.

Version-Release number of selected component (if applicable):
evince-0.1.5-1

How reproducible:
100%
Comment 1 Marco Pesenti Gritti 2005-02-28 16:58:29 EST
Fixed upstream, will be in the next release

>BTW - even when evince sort-of works it is not getting even close
>to now relegated gv where showing a picture is only a minor part
>of functionality.

If you miss functionalities in evince please post bug reports about them.
Comment 2 Michal Jaegermann 2005-03-04 19:34:06 EST
With evince-0.1.5-2 the following message was _added_ to a collection
above:

*** glibc detected *** evince: free(): invalid next size (fast):
0x0000000000a30b60 ***

and otherwise the situation did not change a bit.

> If you miss functionalities in evince please post bug reports about
> them.

Eh?  This is serious?  AFAICS evince does not have any functionality
beyond to show a picture, send it to some printer and not really
controllable zoom which does not quite work (requests to return
to a normal size are silently ignored).  Once at least that will
start to work, more or less, then I will write "missing functionality"
report.  Right now it is not exactly clear what is supposed to work.

Besides it is hard to guess what it may really do.  A full description
reads:  "evince is a GNOME-based document viewer" but it refused
to open /usr/share/doc/evince-0.1.5/ChangeLog document,
/usr/share/doc/evince-0.1.5/README is exactly of a zero length,
these two are the only things which show up with 'rpm -qd evince'
and "Help->Contents" menu entry is causing no reaction at all.
Comment 3 Marco Pesenti Gritti 2005-03-05 03:51:24 EST
>With evince-0.1.5-2 the following message was _added_ to a collection
>above:

0.1.5-2 is just a rebuild with gcc4. The bug is fixed in 0.1.6 which
should be available in rawhide next week.

>Eh?  This is serious?

Random rants in unrelated bug reports are not going to be very useful.
If you care, I'm repeating myself, please post bug reports about the
issues you are seeing. Otherwise use whatever application you like
better... other testers will help improving evince. Thanks.

Note You need to log in before you can comment on or make changes to this bug.